{"openapi":"3.0.4","info":{"title":"Set the details of a Cleardown Module","description":"Update the given Cleardown Module details.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/chartofaccounts/{scope}/{code}/cleardownmodules/{cleardownModuleCode}":{"put":{"tags":["Chart Of Accounts"],"summary":"Set the details of a Cleardown Module","description":"Update the given Cleardown Module details.","operationId":"SetCleardownModuleDetails","parameters":[{"name":"scope","in":"path","description":"The scope of the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Chart of Accounts. Together with the scope this uniquely identifies the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"cleardownModuleCode","in":"path","description":"The code of the Cleardown Module to be updated.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"requestBody":{"description":"The new details for the Cleardown Module.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CleardownModuleDetails"},"example":{"displayName":"CleardownModuleNameUpdated","description":"CleardownModuleDescriptionUpdated","status":"Active"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CleardownModuleDetails"},"example":{"displayName":"CleardownModuleNameUpdated","description":"CleardownModuleDescriptionUpdated","status":"Active"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CleardownModuleDetails"},"example":{"displayName":"CleardownModuleNameUpdated","description":"CleardownModuleDescriptionUpdated","status":"Active"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CleardownModuleDetails"},"example":{"displayName":"CleardownModuleNameUpdated","description":"CleardownModuleDescriptionUpdated","status":"Active"}}},"required":true},"responses":{"200":{"description":"The updated Cleardown Module.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CleardownModuleResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CleardownModuleResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CleardownModuleResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}